##
##  gated.spec -- OpenPKG RPM Specification
##  Copyright (c) 2000-2003 Cable & Wireless Deutschland GmbH
##  Copyright (c) 2000-2003 The OpenPKG Project <http://www.openpkg.org/>
##  Copyright (c) 2000-2003 Ralf S. Engelschall <rse@engelschall.com>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

%define       V_here  3.6
%define       V_minus 3-6
%define       V_under 3_6

#   package information
Name:         gated
Summary:      Routing Daemon
URL:          http://www.gated.org/
Vendor:       Merit GateD Consortium
Packager:     The OpenPKG Project
Distribution: OpenPKG [EVAL]
Group:        Network
License:      GPL
Version:      %{V_here}
Release:      20020529

#   list of sources
Source0:      gated-%{V_minus}.tar.gz
Source1:      gated.8
Source2:      gdc.8
Source3:      rc.gated
Source4:      gated.conf
Patch0:       gated.patch

#   build information
Prefix:       %{l_prefix}
BuildRoot:    %{l_buildroot}
BuildPreReq:  OpenPKG, openpkg >= 20020206, gcc, flex, bison
PreReq:       OpenPKG, openpkg >= 20020206
AutoReq:      no
AutoReqProv:  no

%description
    GateD is a modular software program consisting of core services
    a routing database protocol modules supporting multiple routing
    protocols: RIP, OSPF, IS-IS, EGP, BGP, ICMP DVMRP MSDP, PIM-SM, DM,
    IGMP, etc.

%prep
    %setup -q -n gated-public-%{V_under}
    %patch -p0

%build
    ( echo 'ac_cv_dir_PIDDIR=${ac_cv_dir_PIDDIR=%{l_prefix}/var/gated}'
      echo 'ac_cv_dir_DUMPDIR=${ac_cv_dir_DUMPDIR=%{l_prefix}/var/gated}'
      echo 'ac_cv_dir_SBINDIR=${ac_cv_dir_SBINDIR=%{l_prefix}/sbin}'
    ) >config.cache
    %{l_shtool} subst \
        -e 's;/etc/\(.\)s.conf;%{l_prefix}/etc/gated/\1s.conf;' \
        src/gated/paths.h.in
    CC="%{l_cc}" \
    CFLAGS="%{l_cflags -O}" \
    ./configure \
        --prefix=%{l_prefix}
    %{l_make} %{l_mflags}

%install
    rm -rf $RPM_BUILD_ROOT
    %{l_shtool} mkdir -f -p -m 755 \
        $RPM_BUILD_ROOT%{l_prefix}/sbin \
        $RPM_BUILD_ROOT%{l_prefix}/etc/rc.d \
        $RPM_BUILD_ROOT%{l_prefix}/etc/gated \
        $RPM_BUILD_ROOT%{l_prefix}/man/man8 \
        $RPM_BUILD_ROOT%{l_prefix}/var/gated
    %{l_shtool} install -c -s -m 755 \
        src/gated/gated src/gdc/gdc \
        $RPM_BUILD_ROOT%{l_prefix}/sbin/
    %{l_shtool} install -c -m 644 \
        %{SOURCE gated.8} %{SOURCE gdc.8} \
        $RPM_BUILD_ROOT%{l_prefix}/man/man8/
    %{l_shtool} install -c -m 644 -e 's;@l_prefix@;%{l_prefix};g' \
        %{SOURCE gated.conf} \
        $RPM_BUILD_ROOT%{l_prefix}/etc/gated/
    %{l_shtool} install -c -m 755 -e 's;@l_prefix@;%{l_prefix};g' \
        %{SOURCE rc.gated} \
        $RPM_BUILD_ROOT%{l_prefix}/etc/rc.d/
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT \
        %{l_files_std} \
        '%config %{l_prefix}/etc/gated/gated.conf'

%files -f files

%clean
    rm -rf $RPM_BUILD_ROOT

